# $Revision: 1.15.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Cache
Summary:	File::Cache perl module
Summary(pl):	Modu perla File::Cache
Name:		perl-File-Cache
Version:	0.16
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Cache implements an object store where data is persisted across
processes in the filesystem. It was written to compliment IPC::Cache.

Where IPC::Cache is faster for small numbers of simple objects,
File::Cache tends toward being more performant when caching large
numbers of complex objects.

%description -l pl
File::Cache implementuje obiekt przechowujcy dane, ktre s
zachowywane na czas dziaa w systemie plikw. Zosta napisany jako
odpowiednik IPC::Cache.

O ile IPC::Cache jest szybszy dla maych iloci prostych obiektw,
File::Cache prbuje by bardziej wydajny przy cachowaniu wikszych
iloci zoonych obiektw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES
%{perl_sitelib}/File/Cache.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Cache.spec,v $
Revision 1.15.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.15.2.1  2003/03/13 00:57:12  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.15  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:32:10  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/11/26 00:13:57  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.12  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:13:55  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/12 10:14:47  kloczek
- release 4.

Revision 1.6  2002/02/10 15:40:11  depesz
adapterized

Revision 1.5  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.3  2001/05/21 20:36:04  kloczek
- release 2.

Revision 1.2  2001/05/21 20:01:26  mis
- buildarch: noarch

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
